﻿:root {
    --deep-red: #680018;
    --light-grey: #EFEFEF;
    --deep-blue: #00205B;
    --dark-grey: #333333;
    --theatre-red: #C8102E;
    --festival-red: #BA0C2F;
    --theatre-yellow: #FFC72C;
    --festival-yellow: #FFB81C;
    --title-font: gelica, sans-serif;
    --main-font: area-normal, sans-serif;
}

/* Carousel */

section.home-carousel-wrapper #top-carousel {
    position: relative;
    min-height: 600px;
}

section.home-carousel-wrapper .carousel-inner > .item {
    min-height: 600px;
    background-size: cover !important;
    background-position: center right !important;
}

section.home-carousel-wrapper .carousel-inner > .item.active {
    display: flex;
    flex-direction: column;
}

section.home-carousel-wrapper .top-overlay,
section.home-carousel-wrapper .left-overlay {
    position: absolute;
    z-index: 2;
    pointer-events: none;
}

section.home-carousel-wrapper .carousel-caption {
    text-shadow: none!important;
}

section.home-carousel-wrapper .top-overlay {
    top: 0;
    left: 0;
    width: 100%;
    height: 45%;
    background: linear-gradient(to bottom, rgba(28, 28, 28, 1) 0%, rgba(28, 28, 28, 0.8) 66%, rgba(28, 28, 28, 0) 100% );
}

section.home-carousel-wrapper .left-overlay {
    top: 0;
    left: 0;
    width: 65%;
    height: 100%;
    background: linear-gradient(to right, rgba(28, 28, 28, 1) 0%, rgba(28, 28, 28, 0.8) 66%, rgba(28, 28, 28, 0) 100% );
}

section.home-carousel-wrapper .carousel-caption {
    z-index: 3;
}

section.home-carousel-wrapper .carousel-control {
    width: 95px;
    display: flex;
    align-items: center;
    padding-top: 100px;
    opacity: 1;
}

section.home-carousel-wrapper p.banner-buttons {
    margin-top: 30px;
    display: flex;
    gap: 10px;
}

section.home-carousel-wrapper .carousel-caption {
    position: relative;
    right: auto;
    left: auto;
    top: auto;
    bottom: auto;
    flex: 1;
    text-align: left;
    display: flex;
    align-items: center;
    padding-top: 155px;
    padding-bottom: 40px;
}

.carousel-inner > .item > img {
    width: 100%;
}

section.home-carousel-wrapper .carousel-control.left {
    justify-content: end;
}

section.home-carousel-wrapper .carousel-control.right {
    justify-content: start;
}

section.home-carousel-wrapper span.white-cricle {
    border: 2px solid #ffffff;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .5s ease;
}

section.home-carousel-wrapper span.white-cricle:hover {
    background: rgba(255,255,255,0.3);
}

section.home-carousel-wrapper span.white-cricle i {
    color: var(--festival-yellow);
    font-size: 28px;
}

section.home-carousel-wrapper .carousel-indicators {
    left: 0;
    margin-left: 0px;
    width: 100%;
    text-align: left;
    padding: 0px 50px;
}

section.home-carousel-wrapper .carousel-indicators li {
    width: 55px;
    height: 5px;
    border-radius: 0px;
    background: rgba(255, 255, 255, 0.5);
    border: none;
    margin: unset;
}

section.home-carousel-wrapper .carousel-indicators li.active {
    background: var(--festival-yellow);
}

/* Festival Theatre Wrapper */

section.festival-theatre-wrapper {
    padding: 0px;
}

section.festival-theatre-wrapper .container-fluid {
    padding: 0px;
    overflow-x: hidden;
}

section.festival-theatre-wrapper .container-fluid .left-card {
    padding-right: 5px;
}

section.festival-theatre-wrapper .container-fluid .right-card {
    padding-left: 5px;
}

section.festival-theatre-wrapper .full-width-card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    display: flex;
    align-items: center;
    height: 100%;
}

section.festival-theatre-wrapper .container-fluid .row {
    display: flex;
}

section.festival-theatre-wrapper .full-width-card .card-img {
    position: absolute;
    inset: 0;
    background-size: cover!important;
    background-position: center !important;
}

section.festival-theatre-wrapper .full-width-card .card-overlay {
    position: absolute;
    inset: 0;
}

section.festival-theatre-wrapper .full-width-card .card-content {
    position: relative;
    z-index: 1;
    padding: 80px 130px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    align-items: center;
    text-align: center;
    width: 100%;
}

section.festival-theatre-wrapper .full-width-card .card-content h2 {
    margin-top: 0px;
}

section.festival-theatre-wrapper .card-overlay.Maroon {
    background: color-mix(in srgb, var(--deep-red) 85%, transparent);
}

section.festival-theatre-wrapper .card-overlay.Blue {
    background: color-mix(in srgb, var(--deep-blue) 85%, transparent);
}

section.festival-theatre-wrapper .full-width-card .card-content .button {
    margin-top: 10px;
}

/* Home Blocks */

section.home-boxes-wrapper {
    padding: 100px 0px;
}

/* Image Gallery */

section.home-gallery-wrapper {
    margin-bottom: 10px;
}

section.home-gallery-wrapper .container-fluid {
    padding: 0px;
    overflow-x:hidden;
}

section.home-gallery-wrapper .container-fluid .row {
    display: flex;
    gap: 10px;
}

section.home-gallery-wrapper .container-fluid .row > div {
    padding: 0px
}

section.home-gallery-wrapper .container-fluid .row > div:first-of-type {
    border-left: none!important;
}

section.home-gallery-wrapper .container-fluid .row > div:last-of-type {
    border-right: none!important;
}

section.home-gallery-wrapper .container-fluid .row .fancyWrapper {
    height: unset;
    aspect-ratio: 1 / 1;
    width: 100%;
}

section.home-gallery-wrapper .container-fluid .row .fancyWrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}


@media (min-width: 1368px) and (max-width: 1460px) {
    section.home-carousel-wrapper span.white-cricle {
        width: 30px;
        height: 30px;
    }

    section.home-carousel-wrapper span.white-cricle i {
        font-size: 19px;
    }

    section.home-carousel-wrapper .carousel-control.left {
        justify-content: center;
    }
}

@media (min-width: 1200px) and (max-width: 1367px) {
    section.home-carousel-wrapper span.white-cricle {
        width: 30px;
        height: 30px;
    }

    section.home-carousel-wrapper span.white-cricle i {
        font-size: 19px;
    }

    section.home-carousel-wrapper .carousel-control.left {
        justify-content: center;
    }

    section.calendar-wrapper {
        padding: 60px 0px;
    }

    section.home-boxes-wrapper {
        padding: 60px 0px;
    }

    section.festival-theatre-wrapper .full-width-card .card-content {
        padding: 60px;
    }

}

@media (min-width: 1200px) and (max-width: 1290px) {

    section.home-carousel-wrapper .carousel-control {
        position: relative;
        padding-top: 0px !important;
        background-image: none !important;
        width: fit-content !important;
    }

    section.home-carousel-wrapper .arrow-wrapper {
        display: flex;
        gap: 15px;
        position: absolute;
        right: 30px;
        bottom: 25px;
        z-index: 20;
    }

    section.home-boxes-wrapper {
        padding: 60px 0px;
    }

}

@media (min-width: 992px) and (max-width: 1199px) {
    section.home-carousel-wrapper .carousel-inner > .item {
        background-position: center !important;
    }

    section.home-carousel-wrapper #top-carousel {
        min-height: 650px;
    }

    section.home-carousel-wrapper .carousel-inner > .item {
        min-height: 650px;
    }

    section.home-carousel-wrapper .carousel-caption {
        padding-top: 205px;
    }

    section.home-carousel-wrapper .left-overlay {
        width: 100%;
        background: rgba(28, 28, 28, 0.7);
    }

    section.home-carousel-wrapper .carousel-control {
        position: relative;
        padding-top: 0px !important;
        background-image: none !important;
        width: fit-content !important;
    }

    section.home-carousel-wrapper .arrow-wrapper {
        display: flex;
        gap: 15px;
        position: absolute;
        right: 30px;
        bottom: 25px;
        z-index: 20;
    }

    section.calendar-wrapper {
        padding: 60px 0px;
    }

    section.home-boxes-wrapper {
        padding: 60px 0px;
    }

    section.festival-theatre-wrapper .full-width-card .card-content {
        padding: 40px;
    }



}

@media (min-width: 768px) and (max-width: 991px) {
    section.home-carousel-wrapper .carousel-control {
        position: relative;
        padding-top: 0px !important;
        background-image: none !important;
        width: fit-content !important;
    }

    section.home-carousel-wrapper .arrow-wrapper {
        display: flex;
        gap: 15px;
        position: absolute;
        right: 30px;
        bottom: 25px;
        z-index: 20;
    }

    section.home-carousel-wrapper .carousel-indicators li {
        width: 35px;
    }

    section.home-carousel-wrapper #top-carousel,
    section.home-carousel-wrapper .carousel-inner > .item {
        height: unset;
        min-height: 600px
    }

    section.home-carousel-wrapper .left-overlay {
        width: 100%;
        background: rgba(28, 28, 28, 0.7);
    }

    section.home-carousel-wrapper .carousel-inner > .item {
        background-position: center !important;
    }

    section.calendar-wrapper {
        padding: 60px 0px;
    }

    section.home-boxes-wrapper {
        padding: 60px 0px;
    }

    section.festival-theatre-wrapper .container-fluid .row {
        display: block;
    }

    section.festival-theatre-wrapper .container-fluid .left-card {
        margin-bottom: 15px;
    }

    section.home-gallery-wrapper .container-fluid .row {
        flex-wrap: wrap;
    }

    section.home-gallery-wrapper .container-fluid .row {
        gap: unset;
    }

    section.home-gallery-wrapper .container-fluid .row > *:nth-child(-n+3) {
        margin-bottom: 5px;
    }

    section.home-gallery-wrapper .container-fluid .row .fancyWrapper {
        border-right: 5px solid #ffffff;
    }

    section.home-gallery-wrapper {
        margin-bottom: 5px;
    }
}

@media (max-width: 767px) {
    section.home-carousel-wrapper .carousel-control {
        position: relative;
        padding-top: 0px !important;
        background-image: none !important;
        width: fit-content !important;
    }

    section.home-carousel-wrapper .arrow-wrapper {
        display: flex;
        gap: 15px;
        position: absolute;
        right: 30px;
        bottom: 25px;
        z-index: 20;
    }

    section.home-carousel-wrapper .carousel-indicators li {
        width: 35px;
    }

    section.home-carousel-wrapper #top-carousel,
    section.home-carousel-wrapper .carousel-inner > .item {
        height: unset;
        min-height: 600px
    }

    section.home-carousel-wrapper .left-overlay {
        width: 100%;
        background: rgba(28, 28, 28, 0.7);
    }

    section.home-carousel-wrapper .carousel-inner > .item {
        background-position: center !important;
    }

    section.home-carousel-wrapper .carousel-indicators {
        padding: 0px 20px;
    }

    section.calendar-wrapper {
        padding: 50px 0px;
    }

    section.home-boxes-wrapper {
        padding: 50px 0px;
    }

    section.festival-theatre-wrapper .container-fluid .row {
        display: block;
    }

    section.festival-theatre-wrapper .container-fluid .left-card {
        margin-bottom: 15px;
    }

    section.home-gallery-wrapper .container-fluid .row {
        flex-wrap: wrap;
    }

    section.home-gallery-wrapper .container-fluid .row {
        gap: unset;
    }

    section.home-gallery-wrapper .container-fluid .row > *:nth-child(-n+3) {
        margin-bottom: 5px;
    }

    section.home-gallery-wrapper .container-fluid .row .fancyWrapper {
        border-right: 5px solid #ffffff;
    }

    section.home-gallery-wrapper {
        margin-bottom: 5px;
    }

    section.festival-theatre-wrapper .full-width-card .card-content {
        padding: 40px 40px;
    }

    section.festival-theatre-wrapper .container-fluid {
        overflow-x: unset;
        padding-right: 15px;
        padding-left: 15px;
    }

    section.festival-theatre-wrapper .container-fluid .left-card {
        padding-right: 15px;
    }

    section.festival-theatre-wrapper .container-fluid .right-card {
        padding-left: 15px;
    }
}